GNU bug report logs - #38108
[PATCH] doc: Fix typos.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix-patches; Reported by: zimoun <zimon.toutoune@HIDDEN>; Keywords: patch; dated Thu, 7 Nov 2019 18:51:02 UTC; Maintainer for guix-patches is guix-patches@HIDDEN.

Message received at 38108 <at> debbugs.gnu.org:


Received: (at 38108) by debbugs.gnu.org; 9 Nov 2019 12:14:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 07:14:55 2019
Received: from localhost ([127.0.0.1]:48338 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTPdn-0003Dt-El
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 07:14:55 -0500
Received: from mail-qk1-f196.google.com ([209.85.222.196]:35200)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1iTPdl-0003Dd-Bx
 for 38108 <at> debbugs.gnu.org; Sat, 09 Nov 2019 07:14:54 -0500
Received: by mail-qk1-f196.google.com with SMTP id i19so7458244qki.2
 for <38108 <at> debbugs.gnu.org>; Sat, 09 Nov 2019 04:14:53 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=MIJpnxHMrJrFoSchAgnRlJc8cmNkUJ8cnkjT7L45Nk4=;
 b=WeNlcBoUnBiOyGyZBGCStvTI3aMBivfbnNqN+epP3PrPkssoJTYan6gKOs9BV/8ldD
 A0JTXpB0Hd6bkDU/ACPTb0SUsVwUTe+2TrC/qXegOi7OiL3HckgDllWGiKLJarucb1qG
 fHL4q/WetHSShKNQSD2P4s2t5ePcJz4NVOngH8frFFAF4kJMYF2wcsG+r4FXXxDuwi+0
 Lhf1xvTKQN/ivu7bBBCKp8TwEtwjFTL4jz/sgKbremhspVWzd2TR5BNQShk3yqFwuCNp
 yozBRGWYGw33SURv3PJgETxRg5sxkH+gvZSVxGlWWXd4Yb+lq7FOuasBFH5rwdWxh6bY
 oHzg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=MIJpnxHMrJrFoSchAgnRlJc8cmNkUJ8cnkjT7L45Nk4=;
 b=oe3WxOY/wLuhawyJIuJoC7oHzIujACzw/Q8wlz34tGInQTWAdeiAtHfrMDYC2Hf9Ek
 erIlxYiIMgs+9iVN/+b8CZkMaRTagRW/1PnSgtN6HtQW/upxTm6zgJbW5TeM0PWPSYex
 9wP0y1Jg2PIfE5hSWh5tlKcYHWrvfcBGoOhbc0lF/JPen+pNDHCOGGasmzC6TQJR5PUU
 dUcAT1WyUmEJkXQfgsG//i8ovJUd8C26s6ZN2TTpJYZJXTgInUmRSIa3o1w3D0kypqpZ
 w1y7BpNtVsRtfrkYCVl+Uwg9FFaUEjIkTCl1WlNCqxMWkvEGMo6nLuCSD+c/5liPWPaJ
 YVHA==
X-Gm-Message-State: APjAAAUuWjTaWHb9GLS26qnBqGuCNQMRssU1G9uxioQsH4c24q6QT6e8
 FyTIWwaMlGWQDCWJrswHVhRsrhvxr1Qw5yPeoc2PbgrV
X-Google-Smtp-Source: APXvYqyo7a9EzvjuRzdlIkYhnZK+WWhq1LNHTbjIayknfOw8v5tx2qUIQ+AUvXXPWLc8JPMMCWK95FCgP9bxHMvmZ9Y=
X-Received: by 2002:a37:4146:: with SMTP id o67mr1794372qka.232.1573301687668; 
 Sat, 09 Nov 2019 04:14:47 -0800 (PST)
MIME-Version: 1.0
References: <20191107185023.10630-1-zimon.toutoune@HIDDEN>
 <87sgmyc7pd.fsf@HIDDEN>
In-Reply-To: <87sgmyc7pd.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Sat, 9 Nov 2019 13:14:35 +0100
Message-ID: <CAJ3okZ3ThXscA6mU2UWXQAxWExifSFCTm219+oFMbSoaJBoxSg@HIDDEN>
Subject: Re: [bug#38108] [PATCH] doc: Fix typos.
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38108
Cc: Julien Lepiller <julien@HIDDEN>, 38108 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi Ludo,

On Fri, 8 Nov 2019 at 23:41, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> So, is it this simple?  :-)

The real hard part is about quoting mark: ." or ". ;-)
The Guardian has some explanations.
https://www.theguardian.com/guardian-observer-style-guide-q
https://www.theguardian.com/media/mind-your-language/2011/may/19/mind-your-=
language-punctuation-quotations


> (I wanted to check the Chicago Manual of Style but it=E2=80=99s now behin=
d a
> paywall.)

I have gone with the free trial ;-)


6: Punctuation
6.13: Periods in relation to parentheses and brackets

--8<---------------cut here---------------start------------->8---
When an entire independent sentence is enclosed in parentheses or square
brackets, the period belongs inside the closing parenthesis or bracket. Whe=
n
matter in parentheses or brackets, even a grammatically complete sentence, =
is
included within another sentence, the period belongs outside (but see also
6.98). Avoid enclosing more than one complete sentence within another
sentence. In the third example, two periods are required=E2=80=94one for th=
e
abbreviation etc. and one for the sentence as a whole, outside the parenthe=
ses
(see also 6.14, 6.123). For periods relative to quotation marks, see 6.9.

    Fiorelli insisted on rewriting the paragraph. (His newfound ability to =
type
    was both a blessing and a curse.)

    Felipe had left an angry message for Isadora on the mantel (she noticed=
 it
    while glancing in the mirror).

    His chilly demeanor gave him an affinity for the noble gases (helium, n=
eon,
    etc.).

    There were many groundbreaking moments in All in the Family. (The one
    featuring =E2=80=9Cthe kiss,=E2=80=9D with Sammy Davis Jr., springs to =
mind.)

    =E2=80=9CAll the evidence pointed to the second location [the L=C3=A1sz=
l=C3=B3s=E2=80=99 studio].=E2=80=9D
--8<---------------cut here---------------end--------------->8---


> In short, it looks like most or all of the changes you made are
> =E2=80=9Ccorrect=E2=80=9D, but you might want to double-check, also to ac=
count for the
> typo Giovanni noticed.

When searching inspiration for another commit message, I reached this
commit ba7ea5ce33 changing some '.)' to ').'.
As you know, I am not native English speaker (french Sud-Ouest power!
;-)) so then I checked on the random Internet and asked on #guix
channel what it is rule. I initially thought an US vs UK specificity.
But not.

Quoting IRC log [1]:

<smithras>zimoun: hmm I'm from the US and I've always put the dot
after the closing paren
<alextee[m]>parenthesis end goes before period in both US and UK
english i think zimoun
<xd1le>zimoun: yes. basically the sentence should be valid if you
remove the parens and everything inside them.
<xd1le>if the sentence in parentheses is on its own, the period i
think should be inside the parentheses
<xd1le>if it's a sentence*
<xd1le>but that example is not on its own

[1] http://logs.guix.gnu.org/guix/2019-11-07.log


Currently the manual contains the both style -- .) and )..


Well, I will triple check because it is tricky and update the patch.


> I think this will invalidate translations of the affected paragraphs.
> Is that a big deal, Julien, or is it easily resolved?

From a quick check, it is already resolved using the correct french
style (from my knowledge). But I have not checked everything in the
manual nor in the "Lexique des r=C3=A8gles typographiques en usage =C3=A0
l'Imprimerie nationale". No idea about the other translations.


Thank you.
simon

ps:
I feel like cutting the hair in small pieces ;-)
But I always interesting the typo. :-)




Information forwarded to guix-patches@HIDDEN:
bug#38108; Package guix-patches. Full text available.

Message received at 38108 <at> debbugs.gnu.org:


Received: (at 38108) by debbugs.gnu.org; 9 Nov 2019 11:40:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Nov 09 06:40:33 2019
Received: from localhost ([127.0.0.1]:48324 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTP6X-0002L6-8Y
	for submit <at> debbugs.gnu.org; Sat, 09 Nov 2019 06:40:33 -0500
Received: from mail-qk1-f193.google.com ([209.85.222.193]:42026)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1iTP6S-0002Ke-7b
 for 38108 <at> debbugs.gnu.org; Sat, 09 Nov 2019 06:40:28 -0500
Received: by mail-qk1-f193.google.com with SMTP id m4so7372701qke.9
 for <38108 <at> debbugs.gnu.org>; Sat, 09 Nov 2019 03:40:28 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc; bh=fVURnecQCSgI9oDHfFQZEwEhspTPdJBmLZ6vSil9kOY=;
 b=kFBHHh5ewZ7JdhTjMft7Bn/RGx8iuhO17fb5kTCWx6orJDMuAzfANb1TRowAatYSSK
 p/PF8bafHccSe9L0y28vLILITk9wxkp78HlOQvRyGCoT+2VLS6WTHOuW6gpO4bi3cV78
 vrok55rIfLxvEIztSlWhiuQitWPU7qAf0RAyiZ2srElACduyGDWsUbr3jIX2L63wY1Lz
 SRcR3rsfxQfGGKyhO/IND4vRK3K2lQiWuOCuPjcwPMBT6bhGLpaAyUCv9jIkZllLaTZo
 qw7HU8uPH2PYGAkYpfDSWBFNxmCYdVFYUOY1mjcXxY1myh5sVBU44dKtEHMuhKGhNQS2
 qjDg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc;
 bh=fVURnecQCSgI9oDHfFQZEwEhspTPdJBmLZ6vSil9kOY=;
 b=leXwu7Q7JrNFrS4rC61T/Aj/dFOg6y3/xfI2TRSDw3kpN2Snhe0YToPWN2TcKSLbMp
 Hd9rZfxuZQXwS5mWRt+X6Jnffk5pDgv0oYC4aCjZtx8LZfzsW6FuPMGmlrbBEuQKcbKA
 MRUJjiS6zU014+LjSp6RwUMEekLUIViZRe6uGJw7G2uON1Bl4QiY2Phq4gDW21qJz609
 J7nUpNetxjDAbfU/LM3MAWIsMTrJrSzlm+FUx4TsaTX+rLo9Spd1jSYGBM3jAGa8+cw9
 pWa939lqyxgeZ1EeM0mtGzDT+JAI+kwPo0yaA8526cXkRAPzPXIuLiz+Rt3xMap6R12J
 wwqA==
X-Gm-Message-State: APjAAAW30quI/x4ysexdOtA9K7sdVHKRhr/BQkUmuY1ixFAhRdM8LMVc
 Wqq7LO5ZVryOFBKxlXcNTmNk45foJzxYPtjSpbQVmw==
X-Google-Smtp-Source: APXvYqy7iQBu1j6uLOwHxvuYoAXcTFmqNEhUQBPCFvaeimUwA9RJLJojjK8ZL9wTFhYCj145TcIEqadD6mJZzZ4jX5s=
X-Received: by 2002:a37:4f10:: with SMTP id d16mr1694439qkb.80.1573299622645; 
 Sat, 09 Nov 2019 03:40:22 -0800 (PST)
MIME-Version: 1.0
References: <20191107185023.10630-1-zimon.toutoune@HIDDEN>
 <87r22ipifj.fsf@HIDDEN>
In-Reply-To: <87r22ipifj.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Sat, 9 Nov 2019 12:40:11 +0100
Message-ID: <CAJ3okZ3N6Up-uOCc2hk9ntAD8tcmUKe3KR0h7zD-eEyB99fK7Q@HIDDEN>
Subject: Re: [bug#38108] [PATCH] doc: Fix typos.
To: Giovanni Biscuolo <g@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38108
Cc: 38108 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

Thank you.
Even after double checking, it probably still remains some. I will
triple check. :-)
More eyes, less "bugs." ;-)

All the best,
simon




Information forwarded to guix-patches@HIDDEN:
bug#38108; Package guix-patches. Full text available.

Message received at 38108 <at> debbugs.gnu.org:


Received: (at 38108) by debbugs.gnu.org; 8 Nov 2019 22:41:18 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 17:41:18 2019
Received: from localhost ([127.0.0.1]:47889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iTCwP-0007Gk-U3
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 17:41:18 -0500
Received: from eggs.gnu.org ([209.51.188.92]:57738)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1iTCwL-0007GU-Lm
 for 38108 <at> debbugs.gnu.org; Fri, 08 Nov 2019 17:41:16 -0500
Received: from fencepost.gnu.org ([2001:470:142:3::e]:58469)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <ludo@HIDDEN>)
 id 1iTCwF-0007cu-Iu; Fri, 08 Nov 2019 17:41:07 -0500
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=40680 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1iTCwD-0002iM-H8; Fri, 08 Nov 2019 17:41:06 -0500
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: [bug#38108] [PATCH] doc: Fix typos.
References: <20191107185023.10630-1-zimon.toutoune@HIDDEN>
Date: Fri, 08 Nov 2019 23:41:02 +0100
In-Reply-To: <20191107185023.10630-1-zimon.toutoune@HIDDEN> (zimoun's
 message of "Thu, 7 Nov 2019 19:50:23 +0100")
Message-ID: <87sgmyc7pd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 38108
Cc: Julien Lepiller <julien@HIDDEN>, 38108 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello!

zimoun <zimon.toutoune@HIDDEN> skribis:

> * doc/guix.texi: Fix typos.
> ---
>  doc/guix.texi | 78 +++++++++++++++++++++++++--------------------------
>  1 file changed, 39 insertions(+), 39 deletions(-)
>
> diff --git a/doc/guix.texi b/doc/guix.texi
> index 3a9d206b9f..5a5c54702e 100644
> --- a/doc/guix.texi
> +++ b/doc/guix.texi
> @@ -585,7 +585,7 @@ you may have to run @code{su -} or @code{sudo -i}.  A=
s @code{root}, run:
>=20=20
>  This creates @file{/gnu/store} (@pxref{The Store}) and @file{/var/guix}.
>  The latter contains a ready-to-use profile for @code{root} (see next
> -step.)
> +step).

So, is it this simple?  :-)

I checked what people say and found this:

  https://blog.apastyle.org/apastyle/2013/03/punctuation-junction-periods-a=
nd-parentheses.html
  https://english.stackexchange.com/questions/6632/where-does-the-period-go=
-when-using-parentheses/6633

(I wanted to check the Chicago Manual of Style but it=E2=80=99s now behind a
paywall.)

It would seem that =E2=80=9Csee next step=E2=80=9D (for example) does not c=
ount as a
parenthetical sentence (it=E2=80=99s not a sentence because it doesn=E2=80=
=99t start
with a capital letter), and thus the period should go outside the
parens.

In short, it looks like most or all of the changes you made are
=E2=80=9Ccorrect=E2=80=9D, but you might want to double-check, also to acco=
unt for the
typo Giovanni noticed.

I think this will invalidate translations of the affected paragraphs.
Is that a big deal, Julien, or is it easily resolved?

Typographically yours,
Ludo=E2=80=99.




Information forwarded to guix-patches@HIDDEN:
bug#38108; Package guix-patches. Full text available.

Message received at 38108 <at> debbugs.gnu.org:


Received: (at 38108) by debbugs.gnu.org; 8 Nov 2019 14:11:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Nov 08 09:11:10 2019
Received: from localhost ([127.0.0.1]:45073 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iT4yj-0000XI-TP
	for submit <at> debbugs.gnu.org; Fri, 08 Nov 2019 09:11:10 -0500
Received: from ns13.heimat.it ([46.4.214.66]:47662)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <g@HIDDEN>) id 1iT4yg-0000WS-4c
 for 38108 <at> debbugs.gnu.org; Fri, 08 Nov 2019 09:11:07 -0500
Received: from localhost (ip6-localhost [127.0.0.1])
 by ns13.heimat.it (Postfix) with ESMTP id 4079D300F9C;
 Fri,  8 Nov 2019 14:10:59 +0000 (UTC)
X-Virus-Scanned: Debian amavisd-new at ns13.heimat.it
Received: from ns13.heimat.it ([127.0.0.1])
 by localhost (ns13.heimat.it [127.0.0.1]) (amavisd-new, port 10024)
 with ESMTP id IUN7k3ABpjh0; Fri,  8 Nov 2019 14:10:58 +0000 (UTC)
Received: from bourrache.mug.xelera.it (unknown [93.56.161.211])
 (using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
 (Client did not present a certificate)
 by ns13.heimat.it (Postfix) with ESMTPSA id DF2E6300F9B;
 Fri,  8 Nov 2019 14:10:57 +0000 (UTC)
Received: from roquette.mug.biscuolo.net (roquette [10.38.2.14])
 by bourrache.mug.xelera.it (Postfix) with SMTP id 45EAA300A4B;
 Fri,  8 Nov 2019 15:10:57 +0100 (CET)
Received: (nullmailer pid 30195 invoked by uid 1000);
 Fri, 08 Nov 2019 14:10:56 -0000
From: Giovanni Biscuolo <g@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>, 38108 <at> debbugs.gnu.org
Subject: Re: [bug#38108] [PATCH] doc: Fix typos.
In-Reply-To: <20191107185023.10630-1-zimon.toutoune@HIDDEN>
Organization: Xelera.eu
References: <20191107185023.10630-1-zimon.toutoune@HIDDEN>
Date: Fri, 08 Nov 2019 15:10:56 +0100
Message-ID: <87r22ipifj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38108
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

Hi zimoun

zimoun <zimon.toutoune@HIDDEN> writes:

[...]

> @@ -4457,7 +4457,7 @@ The main options are:
>=20=20
>  @table @code
>  @item --export
> -Export the specified store files or packages (see below.)  Write the
> +Export the specified store files or packages (see below)  Write the
                                                           ^ missing point?
[...]

Thanks! Gio'

=2D-=20
Giovanni Biscuolo

Xelera IT Infrastructures

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iQIzBAEBCgAdFiEERcxjuFJYydVfNLI5030Op87MORIFAl3Fd3AACgkQ030Op87M
ORL99w/+MYH0uf9Ws4z4xkPUyT3PIQLS7soabdaOlyQE0TdOWMtBu+8uLq47958A
O+zRzDRCbNOIAD+6a3QzbdztbaCpvhTcSk+sUpjbUk+pf+3O0RPuexV5TbWBNH0j
nvA9+A1KEWVbeoxzERLqgo+mk9ka2qDpkUwOfs1Fs1soLJ3s5I2eaZzY9uvw0AUB
VRjKCg2NadYUZ0YfF2fOPsK/e5QNmI41PcRQy8Ag/GFb1Arj9eiFGRg/md/adkau
EmJ16eoRw2bAuW9KG/lmnQJ1KumOxAYHvY+SYKZidWD0Wn3FVavd6i1PAPUYpHW4
oS+q7657iAHVwYe6uEYZgJSyPNp/EkkVt//1s1xxvzelpt2OPWKbdGIwn6J8o70q
f2aEhtfj9wPOU8Yu9cXlXfALeCb0IRGbAwtfulgYZfBdslddpdlvKIKRI7LHxD7P
/HX5Cg/B1s5UYyCz4S4Hj71VHoBCZrkK/RNpBIIDH7BsxOFkiNQq3mUN9uPiep42
EhvmW7EQl9phPsrhqZC5HWYkzMsyEooBdZwvQ9pcfS8C1aX0GQVk5IIhIUEylxgE
sjQ9zv144tBxsz34D2dvHpe1/iXYaM5hUV0XffK1Lr9jJ9dn/WxNLdBdwYBaQVJI
jKnRJDbvngAzWcZKKuNN9MxkVip2bRZdSn+9a8DdGlX/pD+kG6o=
=fMGE
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to guix-patches@HIDDEN:
bug#38108; Package guix-patches. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Nov 2019 18:50:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 07 13:50:45 2019
Received: from localhost ([127.0.0.1]:43917 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iSmre-0005lo-Sd
	for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 13:50:45 -0500
Received: from lists.gnu.org ([209.51.188.17]:47252)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1iSmra-0005le-Q7
 for submit <at> debbugs.gnu.org; Thu, 07 Nov 2019 13:50:35 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:39409)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1iSmrX-0008Cr-LK
 for guix-patches@HIDDEN; Thu, 07 Nov 2019 13:50:34 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,FREEMAIL_FROM,
 URIBL_BLOCKED autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1iSmrU-0000fO-DX
 for guix-patches@HIDDEN; Thu, 07 Nov 2019 13:50:31 -0500
Received: from mail-wm1-x332.google.com ([2a00:1450:4864:20::332]:38468)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <zimon.toutoune@HIDDEN>)
 id 1iSmrU-0000de-3f
 for guix-patches@HIDDEN; Thu, 07 Nov 2019 13:50:28 -0500
Received: by mail-wm1-x332.google.com with SMTP id z19so3635143wmk.3
 for <guix-patches@HIDDEN>; Thu, 07 Nov 2019 10:50:27 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=niqBT0bqKJo0H0twyu8X5idGiqHABsq0KekMhpCO3/4=;
 b=slJWwpQM1g9NxFIPRpfNL2AIDAyxfaL5bTNKXHB8tT8Zi/OuMmEVvfZu3WgXmLMQaB
 sbEdKCwwqJ11NGfb+7GPx3uby7zcgWUd6w/pwW4WQ8yOahpVviLbOR7V3yEOi/8jDVbG
 axklEI1EygkYOg5zLXczQOc6+NIVWsWAZelJqu5XnO4t6KEQrtTT6D2EOQYYpe6nyjs9
 LBFCxVd070dfpoUaeWjxrFsBh+9HUOHC613Jh9GVmqmydseFrY6gqZhR2vHfVQo6huMn
 T3lAKa9d5iovmr83amNSEV8oSgBBbE2S/k6IVQgzniV2zIVMm8uBrYAtnkHVhAl16TU4
 543g==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:to:cc:subject:date:message-id:mime-version
 :content-transfer-encoding;
 bh=niqBT0bqKJo0H0twyu8X5idGiqHABsq0KekMhpCO3/4=;
 b=RZYnwi8+g9/BuPZANtvzsdNJSrgm0i9W7ylJPNPB0TYRNu+lWdqxwU6T9J2u05R6Eh
 //QkiXNinnTza7IwunNJILmmKNiEuZ791BHUchQQEG688taB79QjjmGFZD+CsZupUOlt
 /35X8qjfHkf7WIXPfHgN+SAhjsVM3wLzh1LNYQYAC2AXRk8ga+UsL+McWfo0WvHxcdNm
 1eHfTII3NK26sAnzjdjuaQwPrQZA33dLC0ddiHxerQ07LUf2l3hT6KvZmiaYymQvLc2y
 7gTKTat8qg8xUM1IwNr7ybMvNsUPBG5fENgL5C92TUIBryWTrCeYRyH4AJoUq+x/XiuR
 jZGQ==
X-Gm-Message-State: APjAAAUqB/8DCuvKol6kBKvPzx1YXwEGkgyMMbaXX/S6U5CmqtTJHhz2
 LclVC3+caYRNCoFuIGEb34TxRfbu
X-Google-Smtp-Source: APXvYqyLNP+rKb+F15NT3xBwzNZlK5QYaX7dycx876A3Nn5XnqQE9/xt1UKRcVHwdiruoIAbomqf4w==
X-Received: by 2002:a1c:2706:: with SMTP id n6mr4570088wmn.154.1573152625973; 
 Thu, 07 Nov 2019 10:50:25 -0800 (PST)
Received: from pfiuh02.univ-paris-diderot.fr ([193.48.40.241])
 by smtp.gmail.com with ESMTPSA id c9sm2132904wmb.42.2019.11.07.10.50.25
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Thu, 07 Nov 2019 10:50:25 -0800 (PST)
From: zimoun <zimon.toutoune@HIDDEN>
To: guix-patches@HIDDEN
Subject: [PATCH] doc: Fix typos.
Date: Thu,  7 Nov 2019 19:50:23 +0100
Message-Id: <20191107185023.10630-1-zimon.toutoune@HIDDEN>
X-Mailer: git-send-email 2.23.0
MIME-Version: 1.0
Content-Transfer-Encoding: 8bit
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2a00:1450:4864:20::332
X-Spam-Score: 0.7 (/)
X-Debbugs-Envelope-To: submit
Cc: zimoun <zimon.toutoune@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

* doc/guix.texi: Fix typos.
---
 doc/guix.texi | 78 +++++++++++++++++++++++++--------------------------
 1 file changed, 39 insertions(+), 39 deletions(-)

diff --git a/doc/guix.texi b/doc/guix.texi
index 3a9d206b9f..5a5c54702e 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -585,7 +585,7 @@ you may have to run @code{su -} or @code{sudo -i}.  As @code{root}, run:
 
 This creates @file{/gnu/store} (@pxref{The Store}) and @file{/var/guix}.
 The latter contains a ready-to-use profile for @code{root} (see next
-step.)
+step).
 
 Do @emph{not} unpack the tarball on a working Guix system since that
 would overwrite its own essential files.
@@ -593,10 +593,10 @@ would overwrite its own essential files.
 The @code{--warning=no-timestamp} option makes sure GNU@tie{}tar does
 not emit warnings about ``implausibly old time stamps'' (such
 warnings were triggered by GNU@tie{}tar 1.26 and older; recent
-versions are fine.)
+versions are fine).
 They stem from the fact that all the
 files in the archive have their modification time set to zero (which
-means January 1st, 1970.)  This is done on purpose to make sure the
+means January 1st, 1970).  This is done on purpose to make sure the
 archive content is independent of its creation time, thus making it
 reproducible.
 
@@ -680,7 +680,7 @@ there:
 That way, assuming @file{/usr/local/share/info} is in the search path,
 running @command{info guix} will open this manual (@pxref{Other Info
 Directories,,, texinfo, GNU Texinfo}, for more details on changing the
-Info search path.)
+Info search path).
 
 @item
 @cindex substitutes, authorization thereof
@@ -1334,7 +1334,7 @@ build failed and the client specified @option{--keep-failed}
 (@pxref{Invoking guix build, @option{--keep-failed}}).
 
 The daemon listens for connections and spawns one sub-process for each session
-started by a client (one of the @command{guix} sub-commands.)  The
+started by a client (one of the @command{guix} sub-commands).  The
 @command{guix processes} command allows you to get an overview of the activity
 on your system by viewing each of the active sessions and clients.
 @xref{Invoking guix processes}, for more information.
@@ -2266,7 +2266,7 @@ mkfs.ext4 -L my-root /dev/sda2
 If you are instead planning to encrypt the root partition, you can use
 the Cryptsetup/LUKS utilities to do that (see @inlinefmtifelse{html,
 @uref{https://linux.die.net/man/8/cryptsetup, @code{man cryptsetup}},
-@code{man cryptsetup}} for more information.)  Assuming you want to
+@code{man cryptsetup}} for more information).  Assuming you want to
 store the root partition on @file{/dev/sda2}, the command sequence would
 be along these lines:
 
@@ -2732,7 +2732,7 @@ Install the specified @var{package}s.
 Each @var{package} may specify either a simple package name, such as
 @code{guile}, or a package name followed by an at-sign and version number,
 such as @code{guile@@1.8.8} or simply @code{guile@@1.8} (in the latter
-case, the newest version prefixed by @code{1.8} is selected.)
+case, the newest version prefixed by @code{1.8} is selected).
 
 If no version number is specified, the
 newest available version will be selected.  In addition, @var{package}
@@ -3323,7 +3323,7 @@ When using HTTPS, the server's X.509 certificate is @emph{not} validated
 HTTPS clients such as Web browsers usually do.  This is because Guix
 authenticates substitute information itself, as explained above, which
 is what we care about (whereas X.509 certificates are about
-authenticating bindings between domain names and public keys.)
+authenticating bindings between domain names and public keys).
 
 @node Proxy Settings
 @subsection Proxy Settings
@@ -4457,7 +4457,7 @@ The main options are:
 
 @table @code
 @item --export
-Export the specified store files or packages (see below.)  Write the
+Export the specified store files or packages (see below)  Write the
 resulting archive to the standard output.
 
 Dependencies are @emph{not} included in the output, unless
@@ -4474,7 +4474,7 @@ of the exported store items.
 Read an archive from the standard input, and import the files listed
 therein into the store.  Abort if the archive has an invalid digital
 signature, or if it is signed by a public key not among the authorized
-keys (see @code{--authorize} below.)
+keys (see @code{--authorize} below).
 
 @item --missing
 Read a list of store file names from the standard input, one per line,
@@ -4490,7 +4490,7 @@ generate the key pair.
 
 The generated key pair is typically stored under @file{/etc/guix}, in
 @file{signing-key.pub} (public key) and @file{signing-key.sec} (private
-key, which must be kept secret.)  When @var{parameters} is omitted,
+key, which must be kept secret).  When @var{parameters} is omitted,
 an ECDSA key using the Ed25519 curve is generated, or, for Libgcrypt
 versions before 1.6.0, it is a 4096-bit RSA key.
 Alternatively, @var{parameters} can specify
@@ -4774,7 +4774,7 @@ that will be added to the environment directly.
 
 @item --pure
 Unset existing environment variables when building the new environment, except
-those specified with @option{--preserve} (see below.)  This has the effect of
+those specified with @option{--preserve} (see below).  This has the effect of
 creating an environment in which search paths only contain package inputs.
 
 @item --preserve=@var{regexp}
@@ -4813,7 +4813,7 @@ directory is created that matches the current user's home directory, and
 
 The spawned process runs as the current user outside the container.  Inside
 the container, it has the same UID and GID as the current user, unless
-@option{--user} is passed (see below.)
+@option{--user} is passed (see below).
 
 @item --network
 @itemx -N
@@ -5641,7 +5641,7 @@ Lastly, @code{propagated-inputs} is similar to @code{inputs}, but the
 specified packages will be automatically installed alongside the package
 they belong to (@pxref{package-cmd-propagated-inputs, @command{guix
 package}}, for information on how @command{guix package} deals with
-propagated inputs.)
+propagated inputs).
 
 For example this is necessary when a C/C++ library needs headers of
 another library to compile, or when a pkg-config file refers to another
@@ -6714,7 +6714,7 @@ argument.
 Return @code{#t} when @var{path} designates a valid store item and
 @code{#f} otherwise (an invalid item may exist on disk but still be
 invalid, for instance because it is the result of an aborted or failed
-build.)
+build).
 
 A @code{&store-protocol-error} condition is raised if @var{path} is not
 prefixed by the store directory (@file{/gnu/store}).
@@ -7181,7 +7181,7 @@ The store monad---an alias for @var{%state-monad}.
 
 Values in the store monad encapsulate accesses to the store.  When its
 effect is needed, a value of the store monad must be ``evaluated'' by
-passing it to the @code{run-with-store} procedure (see below.)
+passing it to the @code{run-with-store} procedure (see below).
 @end defvr
 
 @deffn {Scheme Procedure} run-with-store @var{store} @var{mval} [#:guile-for-build] [#:system (%current-system)]
@@ -7315,7 +7315,7 @@ into gexps.  For example, a useful type of high-level objects that can be
 inserted in a gexp is ``file-like objects'', which make it easy to
 add files to the store and to refer to them in
 derivations and such (see @code{local-file} and @code{plain-file}
-below.)
+below).
 
 To illustrate the idea, here is an example of a gexp:
 
@@ -7485,7 +7485,7 @@ Like the above, but refers to native builds of the objects listed in
 @end table
 
 G-expressions created by @code{gexp} or @code{#~} are run-time objects
-of the @code{gexp?} type (see below.)
+of the @code{gexp?} type (see below).
 @end deffn
 
 @deffn {Scheme Syntax} with-imported-modules @var{modules} @var{body}@dots{}
@@ -7531,7 +7531,7 @@ Return @code{#t} if @var{obj} is a G-expression.
 G-expressions are meant to be written to disk, either as code building
 some derivation, or as plain files in the store.  The monadic procedures
 below allow you to do that (@pxref{The Store Monad}, for more
-information about monads.)
+information about monads).
 
 @deffn {Monadic Procedure} gexp->derivation @var{name} @var{exp} @
        [#:system (%current-system)] [#:target #f] [#:graft? #t] @
@@ -8462,7 +8462,7 @@ guix build --log-file -e '(@@ (gnu packages guile) guile-2.0)'
 
 If a log is unavailable locally, and unless @code{--no-substitutes} is
 passed, the command looks for a corresponding log on one of the
-substitute servers (as specified with @code{--substitute-urls}.)
+substitute servers (as specified with @code{--substitute-urls}).
 
 So for instance, imagine you want to see the build log of GDB on MIPS,
 but you are actually on an @code{x86_64} machine:
@@ -9217,7 +9217,7 @@ guix refresh -l -e '(@@@@ (gnu packages commencement) glibc-final)'
 @end example
 
 This command lists the dependents of the ``final'' libc (essentially all
-the packages.)
+the packages).
 
 @item --update
 @itemx -u
@@ -9324,7 +9324,7 @@ be used when passing @command{guix refresh} one or more package names:
 
 @item --list-updaters
 @itemx -L
-List available updaters and exit (see @option{--type} above.)
+List available updaters and exit (see @option{--type} above).
 
 For each updater, display the fraction of packages it covers; at the
 end, display the fraction of packages covered by all these updaters.
@@ -9388,7 +9388,7 @@ When this option is omitted, @command{guix refresh} uses
 @file{~/.config/guix/upstream/trustedkeys.kbx} as the keyring for upstream
 signing keys.  OpenPGP signatures are checked against keys from this keyring;
 missing keys are downloaded to this keyring as well (see
-@option{--key-download} below.)
+@option{--key-download} below).
 
 You can export keys from your default GPG keyring into a keybox file using
 commands like this one:
@@ -9764,7 +9764,7 @@ guix graph --type=reverse-package ocaml
 
 ...@: yields the graph of packages that @emph{explicitly} depend on OCaml (if
 you are also interested in cases where OCaml is an implicit dependency, see
-@code{reverse-bag} below.)
+@code{reverse-bag} below).
 
 Note that for core packages this can yield huge graphs.  If all you want
 is to know the number of packages that depend on a given package, use
@@ -10261,7 +10261,7 @@ When a difference is found between the hash of a locally-built item and
 that of a server-provided substitute, or among substitutes provided by
 different servers, the command displays it as in the example above and
 its exit code is 2 (other non-zero exit codes denote other kinds of
-errors.)
+errors).
 
 The one option that matters is:
 
@@ -10555,7 +10555,7 @@ integration tool; their process identifier (PID) is given by the
 The @code{LockHeld} fields show which store items are currently locked by this
 session, which corresponds to store items being built or substituted (the
 @code{LockHeld} field is not displayed when @command{guix processes} is not
-running as root.)  Last, by looking at the @code{ChildProcess} field, we
+running as root).  Last, by looking at the @code{ChildProcess} field, we
 understand that these three builds are being offloaded (@pxref{Daemon Offload
 Setup}).
 
@@ -11187,7 +11187,7 @@ variables.
 @defvr {Scheme Variable} %base-file-systems
 These are essential file systems that are required on normal systems,
 such as @var{%pseudo-terminal-file-system} and @var{%immutable-store} (see
-below.)  Operating system declarations should always contain at least
+below).  Operating system declarations should always contain at least
 these.
 @end defvr
 
@@ -11907,7 +11907,7 @@ Since this is part of @code{%base-services}, you can use
 @code{modify-services} to customize the set of special files
 (@pxref{Service Reference, @code{modify-services}}).  But the simple way
 to add a special file is @i{via} the @code{extra-special-file} procedure
-(see below.)
+(see below).
 @end defvr
 
 @deffn {Scheme Procedure} extra-special-file @var{file} @var{target}
@@ -13988,7 +13988,7 @@ definition (@pxref{operating-system Reference, system-wide packages}).
 This is the type for the @uref{https://wiki.gnome.org/Projects/GDM/, GNOME
 Desktop Manager} (GDM), a program that manages graphical display servers and
 handles graphical user logins.  Its value must be a @code{gdm-configuration}
-(see below.)
+(see below).
 
 @cindex session types (X11)
 @cindex X11 session types
@@ -15258,7 +15258,7 @@ gnome-session``.  Currently only GNOME has support for Wayland.
 @defvr {Scheme Variable} gnome-desktop-service-type
 This is the type of the service that adds the @uref{https://www.gnome.org,
 GNOME} desktop environment.  Its value is a @code{gnome-desktop-configuration}
-object (see below.)
+object (see below).
 
 This service adds the @code{gnome} package to the system profile, and extends
 polkit with the actions from @code{gnome-settings-daemon}.
@@ -15276,7 +15276,7 @@ The GNOME package to use.
 @defvr {Scheme Variable} xfce-desktop-service-type
 This is the type of a service to run the @uref{Xfce, https://xfce.org/}
 desktop environment.  Its value is an @code{xfce-desktop-configuration} object
-(see below.)
+(see below).
 
 This service adds the @code{xfce} package to the system profile, and
 extends polkit with the ability for @code{thunar} to manipulate the file
@@ -15296,7 +15296,7 @@ The Xfce package to use.
 @deffn {Scheme Variable} mate-desktop-service-type
 This is the type of the service that runs the @uref{https://mate-desktop.org/,
 MATE desktop environment}.  Its value is a @code{mate-desktop-configuration}
-object (see below.)
+object (see below).
 
 This service adds the @code{mate} package to the system
 profile, and extends polkit with the actions from
@@ -21128,10 +21128,10 @@ configuration:
 
 Note that ddclient needs to access credentials that are stored in a
 @dfn{secret file}, by default @file{/etc/ddclient/secrets} (see
-@code{secret-file} below.)  You are expected to create this file manually, in
+@code{secret-file} below).  You are expected to create this file manually, in
 an ``out-of-band'' fashion (you @emph{could} make this file part of the
 service configuration, for instance by using @code{plain-file}, but it will be
-world-readable @i{via} @file{/gnu/store}.)  See the examples in the
+world-readable @i{via} @file{/gnu/store}).  See the examples in the
 @file{share/ddclient} directory of the @code{ddclient} package.
 
 @c %start of fragment
@@ -24908,7 +24908,7 @@ password, and which needs to access the @file{/etc/passwd} and
 obvious security reasons.  To address that, these executables are
 @dfn{setuid-root}, meaning that they always run with root privileges
 (@pxref{How Change Persona,,, libc, The GNU C Library Reference Manual},
-for more info about the setuid mechanism.)
+for more info about the setuid mechanism).
 
 The store itself @emph{cannot} contain setuid programs: that would be a
 security issue since any user on the system can write derivations that
@@ -25961,7 +25961,7 @@ each other:
 Emit in Dot/Graphviz format to standard output the @dfn{service
 extension graph} of the operating system defined in @var{file}
 (@pxref{Service Composition}, for more information on service
-extensions.)
+extensions).
 
 The command:
 
@@ -26490,7 +26490,7 @@ services and service types.  This interface is provided by the
 
 @deffn {Scheme Procedure} service @var{type} [@var{value}]
 Return a new service of @var{type}, a @code{<service-type>} object (see
-below.)  @var{value} can be any object; it represents the parameters of
+below).  @var{value} can be any object; it represents the parameters of
 this particular service instance.
 
 When @var{value} is omitted, the default value specified by @var{type}
@@ -26998,7 +26998,7 @@ Occasionally, important security vulnerabilities are discovered in software
 packages and must be patched.  Guix developers try hard to keep track of
 known vulnerabilities and to apply fixes as soon as possible in the
 @code{master} branch of Guix (we do not yet provide a ``stable'' branch
-containing only security updates.)  The @command{guix lint} tool helps
+containing only security updates).  The @command{guix lint} tool helps
 developers find out about vulnerable versions of software packages in the
 distribution:
 
@@ -27436,7 +27436,7 @@ reason.
 Guix is based on the @uref{https://nixos.org/nix/, Nix package manager},
 which was designed and
 implemented by Eelco Dolstra, with contributions from other people (see
-the @file{nix/AUTHORS} file in Guix.)  Nix pioneered functional package
+the @file{nix/AUTHORS} file in Guix).  Nix pioneered functional package
 management, and promoted unprecedented features, such as transactional
 package upgrades and rollbacks, per-user profiles, and referentially
 transparent build processes.  Without this work, Guix would not exist.
-- 
2.23.0





Acknowledgement sent to zimoun <zimon.toutoune@HIDDEN>:
New bug report received and forwarded. Copy sent to guix-patches@HIDDEN. Full text available.
Report forwarded to guix-patches@HIDDEN:
bug#38108; Package guix-patches. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 9 Nov 2019 12:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.